Public Member Functions | Public Attributes | List of all members
libetonyek::IWORKConnectionPath Class Reference

`#include <IWORKPath.h>`

## Public Member Functions
| IWORKConnectionPath ()
IWORKPathPtr_t | getPath () const

## Public Attributes
boost::optional< IWORKPosition > | m_positions [3]
boost::optional< IWORKSize > | m_size
bool | m_isSpline

## Constructor & Destructor Documentation

## ◆ IWORKConnectionPath()

libetonyek::IWORKConnectionPath::IWORKConnectionPath | ( |  | ) |

## Member Function Documentation

## ◆ getPath()

IWORKPathPtr_t libetonyek::IWORKConnectionPath::getPath | ( |  | ) | const

Referenced by libetonyek::IWORKCollector::collectConnectionPath().

## Member Data Documentation

## ◆ m_isSpline

bool libetonyek::IWORKConnectionPath::m_isSpline

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ m_positions

boost::optional<IWORKPosition> libetonyek::IWORKConnectionPath::m_positions[3]

Referenced by libetonyek::IWAParser::parseDrawableShape().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKConnectionPath::m_size

Referenced by libetonyek::IWAParser::parseDrawableShape().

The documentation for this class was generated from the following file:

- IWORKPath.h